package net.knarcraft.bookswithoutborders;

/**
 * This enum represents the possible states for players holding books
 */
public enum BookHoldingState {

    /**
     * The player is holding one book in each hand
     */
    BOTH_HANDS,
    /**
     * The player is holding one book in their main hand
     */
    MAIN_HAND,
    /**
     * The player is holding one book in their off hand
     */
    OFF_HAND,
    /**
     * The player is not holding any books
     */
    NONE

}
